Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 353461 (signals) - Retire: Kevin McCarthy (signals)
Summary: Retire: Kevin McCarthy (signals)
Status: RESOLVED FIXED
Alias: signals
Product: Gentoo Developers/Staff
Classification: Unclassified
Component: Retirement (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Retirement Admin
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-01 22:21 UTC by Samuli Suominen (RETIRED)
Modified: 2021-02-03 08:21 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen (RETIRED) gentoo-dev 2011-02-01 22:21:30 UTC
Kevin will join Gentoo Quality and Assurance team once he has been recruited. 

He has been doing great job fixing _FORTIFY_SOURCE bugs, search bugzilla for "signals42@gmail.com" to get a picture.

Current status:

I will be mentoring him and we have been through ebuild quiz, and I'm mostly satisfied with current answers.

He will have both me and Diego looking after him.
Comment 1 Markos Chandras (RETIRED) gentoo-dev 2011-02-01 22:28:36 UTC
According to the (current) GLEP48 he cannot join QA just after his recruitment process. The best alternative is to have someone from QA to proxy his commits and patches instead
Comment 2 Samuli Suominen (RETIRED) gentoo-dev 2011-02-01 22:32:49 UTC
(In reply to comment #1)
> According to the (current) GLEP48 he cannot join QA just after his recruitment
> process. The best alternative is to have someone from QA to proxy his commits
> and patches instead
> 

That's fine. Kevin told me he will think about what other teams he would be intrested in joining for tomorrow.
I'm sure we can hook him up with some temporary herd (say, shell-tools :-) if needed be until he can join QA.  And we can always approve his commits for QA to packages meanwhile.
Comment 3 Kevin McCarthy (RETIRED) gentoo-dev 2011-02-01 23:07:56 UTC
Actually shell-tools might be right up my alley. Once I get my sea-legs I can branch out and join some other projects...
Comment 4 Kevin McCarthy (RETIRED) gentoo-dev 2011-02-02 19:58:14 UTC
I sent the completed ebuild-quiz to recruiters@gentoo.org today.
Comment 5 Kevin McCarthy (RETIRED) gentoo-dev 2011-02-03 21:38:21 UTC
I sent the completed end-quiz to recruiters@gentoo.org today.
Comment 6 Markos Chandras (RETIRED) gentoo-dev 2011-02-09 19:28:22 UTC
I will be your recruiter. Always add a comment to this bug when you send something to that address. If you think that recruiters aren't paying attention to this bug at any later point in time, it's your job to ping us on IRC if you don't want any delays.
Comment 7 Kevin McCarthy (RETIRED) gentoo-dev 2011-02-14 00:03:01 UTC
After my first review session, I have revised my ebuild quiz and sent it to recruiters@g.o today.
Comment 8 Kevin McCarthy (RETIRED) gentoo-dev 2011-02-18 15:29:17 UTC
I sent a revised end-quiz and the revised ebuild that was requested in my second review session to recruiters@g.o today.
Comment 9 Markos Chandras (RETIRED) gentoo-dev 2011-02-19 21:44:05 UTC
What we did:
- LDAP
- bugzilla
- cvs/svn/git groups on cvs.gentoo.org
- IRC cloak
- sent you your LDAP/mail password via encrypted mail
- announcement

Automatic:
- gentoo-core

What you need to do:
- subscribe to mailing lists with your @gentoo.org address
- request forum status bump in #gentoo-forums or by mail to
  forum-mods@gentoo.org (if you have a forums account)
- send yourself mail to check if it works
- add yourself to mail aliases ( like java@gentoo.org )
  see /var/mail/alias on dev.gentoo.org
- ask team leads to add yourself to herds.xml for the herds you want to
  join or do it yourself if you have the permission to do so
- set lat and lon attributes in LDAP if you want others to know where
  exactly you are located
- set gentooIM if you want people to be able to contact you via other
  means than email
- If you want your blog to be syndicated to planet.gentoo.org, check
  http://www.gentoo.org/proj/en/userrel/planet/index.xml
- contact trustees@gentoo.org for Foundation membership (optional)

For the mentor:
- You are also responsible for the commits of your recruit during the first
  month so you should watch the commits of your recruit via gentoo-commits
  mailing list.


Welcome :)
Comment 10 Markos Chandras (RETIRED) gentoo-dev 2011-10-22 22:28:12 UTC
Reopening since Kevin appears to be inactive for more than 5 months

 - Last (viewable) bugzilla activity:
   2011-05-25
 - Last CVS activity:
   2011-05-25

First mail sent today
Comment 11 Markos Chandras (RETIRED) gentoo-dev 2011-11-19 10:47:49 UTC
Second email sent today
Comment 12 Markos Chandras (RETIRED) gentoo-dev 2011-12-10 10:17:46 UTC
Infra, please proceed with Kevin's retirement.

Kevin, I am sorry to see you leave in such a short time :(. If you ever want to come back please reopen this bug. Thank you for your contribution
Comment 13 Pacho Ramos gentoo-dev 2011-12-15 23:01:15 UTC
- metadata.xml files cleaned
- herds.xml cleaned
- Bugs reassigned
Comment 14 Infra Account for Automated Retirements gentoo-dev 2012-01-15 02:09:19 UTC
Started on woodpecker.gentoo.org
No username specified.
Finished at Sun Jan 15 02:09:16 UTC 2012 with rc=0
Comment 15 Infra Account for Automated Retirements gentoo-dev 2012-01-15 02:12:17 UTC
Started on woodpecker.gentoo.org
Found signals.
Checking for processes
Removing signals from groups () via gpasswd
Removing signals from aliases
  Removing from /var/mail/alias/misc/desktop-misc
--- /var/mail/alias/misc/desktop-misc	2011-12-07 22:59:11.000000000 +0000
+++ /var/mail/alias/misc/desktop-misc.new	2012-01-15 02:12:06.000000000 +0000
@@ -1,7 +1,6 @@
 nelchael
 ssuominen
 xarthisius
-signals
 hwoarang
 jer
 radhermit
  Removing from /var/mail/alias/misc/net-im
--- /var/mail/alias/misc/net-im	2011-02-21 20:12:24.000000000 +0000
+++ /var/mail/alias/misc/net-im.new	2012-01-15 02:12:06.000000000 +0000
@@ -4,4 +4,3 @@
 pva
 
 # ayttm
-signals
Forward not found, redirecting mail to /home/RETIRED//mail-backup/signals.saved
Moving home directory from /home/signals to /home/RETIRED-PENDING//signals
Indexing old content of /home/RETIRED-PENDING//signals
/home/RETIRED//signals.INDEX:	 89.9% -- replaced with /home/RETIRED//signals.INDEX.gz
Remember: Tar pending for /home/RETIRED-PENDING//signals

 ** Remember to run these commands on ldap1: **
   perl_ldap -b infra -E gentooAccess signals
   perl_ldap -b infra -M gentooStatus retired signals
Finished at Sun Jan 15 02:12:15 UTC 2012 with rc=0
Comment 16 Infra Account for Automated Retirements gentoo-dev 2012-01-15 02:36:27 UTC
/etc/retire.d//retire-dev: line 5: /etc/retire.d/retire-dev-internal: No such file or directory
Finished at Sun Jan 15 02:36:26 UTC 2012 with rc=0
Comment 17 Infra Account for Automated Retirements gentoo-dev 2012-01-15 02:38:42 UTC
Removing signals from groups (users cvs svn git) via gpasswd
Removing user signals from group users
gpasswd: user 'signals' is not a member of 'users'
Removing user signals from group cvs
Removing user signals from group svn
Removing user signals from group git
Moving homedir from /home/signals to /home/RETIRED/signals
Changing ownership to root on /home/RETIRED/signals/
Finished at Sun Jan 15 02:38:42 UTC 2012 with rc=0
Comment 18 Infra Account for Automated Retirements gentoo-dev 2012-01-15 05:12:58 UTC
Removing signals@gentoo.org from gentoo-announce
0
0
0
Removing signals@gentoo.org from gentoo-commits
0
0
0
Removing signals@gentoo.org from gentoo-core
0
0
0
Removing signals@gentoo.org from gentoo-dev-announce
0
0
0
Removing signals@gentoo.org from gentoo-dev
0
0
0
Removing signals@gentoo.org from gentoo-project
0
0
0
Removing signals@gentoo.org from gentoo-qa
0
0
0
Removing signals@gentoo.org from gentoo-security
0
0
0
Removing signals@gentoo.org from gentoo-user
0
0
0
ACLs:
Moderator of:
Finished at Sun Jan 15 05:12:56 UTC 2012 with rc=0
Comment 19 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2012-01-15 05:32:10 UTC
Renamed in bugzilla.

Adding planet and overlays in case he has anything there.

-A
Comment 20 Christian Ruppert (idl0r) gentoo-dev 2012-01-29 12:01:44 UTC
No overlays account.
Comment 21 Infra Account for Automated Retirements gentoo-dev 2012-02-05 02:45:14 UTC
LOG: Removing signals from all lists. on pigeon.gentoo.org.
Comment 22 Theo Chatzimichos (RETIRED) archtester gentoo-dev Security 2012-04-02 10:20:44 UTC
planet done
Comment 23 Markos Chandras (RETIRED) gentoo-dev 2012-04-02 20:31:44 UTC
All done. Closing